This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1477322 - [abrt] libcacard: main(): vscclient killed by signal 6
[abrt] libcacard: main(): vscclient killed by signal 6
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libcacard (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marc-Andre Lureau
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8c2b5c73093d2eede71ad2ec653...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 15:18 EDT by christof.schulze
Modified: 2017-08-02 07:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 07:54:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (16.92 KB, text/plain)
2017-08-01 15:18 EDT, christof.schulze
no flags Details
File: cgroup (355 bytes, text/plain)
2017-08-01 15:18 EDT, christof.schulze
no flags Details
File: core_backtrace (1.49 KB, text/plain)
2017-08-01 15:18 EDT, christof.schulze
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2017-08-01 15:18 EDT, christof.schulze
no flags Details
File: dso_list (1.42 KB, text/plain)
2017-08-01 15:18 EDT, christof.schulze
no flags Details
File: environ (4.44 KB, text/plain)
2017-08-01 15:18 EDT, christof.schulze
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-01 15:18 EDT, christof.schulze
no flags Details
File: maps (7.43 KB, text/plain)
2017-08-01 15:18 EDT, christof.schulze
no flags Details
File: open_fds (140 bytes, text/plain)
2017-08-01 15:18 EDT, christof.schulze
no flags Details
File: proc_pid_status (1.24 KB, text/plain)
2017-08-01 15:18 EDT, christof.schulze
no flags Details
File: var_log_messages (308 bytes, text/plain)
2017-08-01 15:18 EDT, christof.schulze
no flags Details

  None (edit)
Description christof.schulze 2017-08-01 15:18:28 EDT
Version-Release number of selected component:
libcacard-2.5.3-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        vscclient --help
crash_function: main
executable:     /usr/bin/vscclient
journald_cursor: s=edfdd94a288c4f3d8557d6de99b9fa3d;i=181d8f;b=d026ca22394643b887178dff7ab42ceb;m=1b2a13d46;t=55513d54191ec;x=925a77612aea8c34
kernel:         4.11.11-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (0 frames)
Comment 1 christof.schulze 2017-08-01 15:18:37 EDT
Created attachment 1307746 [details]
File: backtrace
Comment 2 christof.schulze 2017-08-01 15:18:38 EDT
Created attachment 1307747 [details]
File: cgroup
Comment 3 christof.schulze 2017-08-01 15:18:41 EDT
Created attachment 1307748 [details]
File: core_backtrace
Comment 4 christof.schulze 2017-08-01 15:18:42 EDT
Created attachment 1307749 [details]
File: cpuinfo
Comment 5 christof.schulze 2017-08-01 15:18:44 EDT
Created attachment 1307750 [details]
File: dso_list
Comment 6 christof.schulze 2017-08-01 15:18:46 EDT
Created attachment 1307751 [details]
File: environ
Comment 7 christof.schulze 2017-08-01 15:18:48 EDT
Created attachment 1307752 [details]
File: limits
Comment 8 christof.schulze 2017-08-01 15:18:50 EDT
Created attachment 1307753 [details]
File: maps
Comment 9 christof.schulze 2017-08-01 15:18:52 EDT
Created attachment 1307754 [details]
File: open_fds
Comment 10 christof.schulze 2017-08-01 15:18:54 EDT
Created attachment 1307755 [details]
File: proc_pid_status
Comment 11 christof.schulze 2017-08-01 15:18:56 EDT
Created attachment 1307756 [details]
File: var_log_messages
Comment 12 Marc-Andre Lureau 2017-08-02 07:54:03 EDT
Fixed upstream:

commit 2803c96e27a38e29a9cdefd51bcf157ac9da7335 (HEAD -> master, origin/master, origin/HEAD)
Author: Marc-André Lureau <marcandre.lureau@redhat.com>
Date:   Wed Aug 2 10:54:37 2017 +0200

    vscclient: handle ? option
    
    Unknown option fallbacks to '?' case.
    Keep the assert(optarg) for scan-build.
    
    Fixes:
    https://bugzilla.redhat.com/show_bug.cgi?id=1477322
    
    Signed-off-by: Marc-André Lureau <marcandre.lureau@redhat.com>
    Acked-by: Victor Toso <victortoso@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.